#!/bin/sh
# Generates a dummy .cpp file for i18n with the "Name", "GenericName" and "Comment" entries
# of the desktop file that is expected as parameter. Output goes to stdout.

grep -H -n "^[ 	]*Name=" $1 | sed -e "s/^\(.*:[0123456789]*\):[ 	]*Name=\(.*\)/\/\/ i18n: file: \1\ni18nc(\"@title The application name in the menu\", \"\2\");\n/g"
grep -H -n "^[ 	]*GenericName=" $1 | sed -e "s/^\(.*:[0123456789]*\):[ 	]*GenericName=\(.*\)/\/\/ i18n: file: \1\ni18nc(\"@title The generic application name in the menu\", \"\2\");\n/g"
grep -H -n "^[ 	]*Comment=" $1 | sed -e "s/^\(.*:[0123456789]*\):[ 	]*Comment=\(.*\)/\/\/ i18n: file: \1\ni18nc(\"@info Comment to the menu entry of the application\", \"\2\");\n/g"
