#!/bin/sh
# Autogenerates a manpage by calling the binary ("kstreamripper --help") in the build directory.
# This assumes that build/src/kstreamripper is present.
# "@" is substituted by " at " for anti-spam reasons.
SCRIPTDIR=`pwd`



echo "Generate manpage"
kdemangen.pl ${SCRIPTDIR}/../build/src/kstreamripper | sed -e "s/@/ at /g" | gzip > ${SCRIPTDIR}/../kstreamripper.1.gz
echo "Done generating manpage"